<template>
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="150px" label-position="right" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
        
            <!--PD000002 -->
           <el-tab-pane label="Search Panel" name="infsea">
                <m-infsea :model="model" :codes="codes"/>
           </el-tab-pane>
 
            <!--PD000029 -->
           <el-tab-pane label="Authentication of Address" name="ptmp0">
                <m-ptmp0 :model="model" :codes="codes"/>
           </el-tab-pane>
       </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Infptm from "~/model/Infptm"
import CommonProcess from "~/mixin/CommonProcess"
import Check from "~/model/Infptm/Check"
import Default from "~/model/Infptm/Default"
import Pattern from "~/model/Infptm/Pattern"
import Infsea from "./Infsea"
import Ptmp0 from "./Ptmp0"


export default {
    name: "Infptm",
    components:{
        "m-infsea" : Infsea,
        "m-ptmp0" : Ptmp0,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "",
            trnName: "infptm",
            model: new Infptm().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes: {
            },
        }
    },
    methods:{
        tabClick(){
        }
    },
    created:async function(){
        console.log("进入infptm交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
